| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Public Attributes
Tp::PtrFunctor3< R, Arg1, Arg2, Arg3 > Struct Template Reference

`#include </home/collabora-devel/kde/src/telepathy-qt4/TelepathyQt/functors.h>`

Inherits Tp::BaseFunctor.

List of all members.

## Public Types

- typedef R(* FunctionType )(Arg1, Arg2, Arg3)
- typedef R ResultType

## Public Member Functions

- PtrFunctor3 (FunctionType fn)
- ResultType operator() (Arg1 a1, Arg2 a2, Arg3 a3) const

## Public Attributes

- FunctionType fn

### template<class R, class Arg1, class Arg2, class Arg3>
struct Tp::PtrFunctor3< R, Arg1, Arg2, Arg3 >

## Member Typedef Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 >

typedef R(* Tp::PtrFunctor3< R, Arg1, Arg2, Arg3 >::FunctionType)(Arg1, Arg2, Arg3)

template<class R , class Arg1 , class Arg2 , class Arg3 >

typedef R Tp::PtrFunctor3< R, Arg1, Arg2, Arg3 >::ResultType

## Constructor & Destructor Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 >

Tp::PtrFunctor3< R, Arg1, Arg2, Arg3 >::PtrFunctor3 | ( | FunctionType | fn | ) | `[inline]`

## Member Function Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 >

ResultType Tp::PtrFunctor3< R, Arg1, Arg2, Arg3 >::operator() | ( | Arg1 | a1,
|  | Arg2 | a2,
|  | Arg3 | a3
| ) |  | const`[inline]`

## Member Data Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 >

FunctionType Tp::PtrFunctor3< R, Arg1, Arg2, Arg3 >::fn